### Hierarchy

- WindowEventHandlers
  - HTMLBodyElement
  - HTMLFrameSetElement
  - Window

## Index

### Properties

- onafterprint
- onbeforeprint
- onbeforeunload
- onhashchange
- onlanguagechange
- onmessage
- onmessageerror
- onoffline
- ononline
- onpagehide
- onpageshow
- onpopstate
- onrejectionhandled
- onstorage
- onunhandledrejection
- onunload

### Methods

- addEventListener
- removeEventListener

## Properties

### onafterprint

onafterprint: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16678

### onbeforeprint

onbeforeprint: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16679

### onbeforeunload

onbeforeunload: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16680

### onhashchange

onhashchange: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16681

### onlanguagechange

onlanguagechange: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16682

### onmessage

onmessage: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16683

### onmessageerror

onmessageerror: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16684

### onoffline

onoffline: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16685

### ononline

ononline: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16686

### onpagehide

onpagehide: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16687

### onpageshow

onpageshow: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16688

### onpopstate

onpopstate: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16689

### onrejectionhandled

onrejectionhandled: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16690

### onstorage

onstorage: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16691

### onunhandledrejection

onunhandledrejection: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16692

### onunload

onunload: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16693

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16694

  #### Type parameters

  - #### K: keyof WindowEventHandlersEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: WindowEventHandlers, ev: WindowEventHandlersEventMap[K]): any

      - #### Parameters

        - ##### this: WindowEventHandlers

        - ##### ev: WindowEventHandlersEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16695

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16696

  #### Type parameters

  - #### K: keyof WindowEventHandlersEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: WindowEventHandlers, ev: WindowEventHandlersEventMap[K]): any

      - #### Parameters

        - ##### this: WindowEventHandlers

        - ##### ev: WindowEventHandlersEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16697

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

Generated using TypeDoc